GDCM: gdcm::Event Class Reference

GDCM 3.0.26

Public Member Functions | List of all members
gdcm::Event Class Referenceabstract

superclass for callback/observer methods More...

`#include <gdcmEvent.h>`

Inheritance diagram for gdcm::Event:
[legend]

## Public Member Functions
| Event ()
| Event (const Event &)
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
virtual const char * | GetEventName () const =0
virtual Event * | MakeObject () const =0
void | operator= (const Event &)=delete
virtual void | Print (std::ostream &os) const

## Detailed Description

superclass for callback/observer methods

See also
  Command Subject

Examples
  BasicAnonymizer.cs, Cleaner.cs, ClinicalTrialIdentificationWorkflow.cs, ScanDirectory.cs, and SimpleScanner.cxx.

## Constructor & Destructor Documentation

## ◆ Event() [1/2]

gdcm::Event::Event | ( |  | ) |

Referenced by Event(), CheckEvent(), MakeObject(), and operator=().

## ◆ ~Event()

virtual gdcm::Event::~Event | ( |  | ) |
| virtual

## ◆ Event() [2/2]

gdcm::Event::Event | ( | const Event & |  | ) |

References Event().

## Member Function Documentation

## ◆ CheckEvent()

virtual bool gdcm::Event::CheckEvent | ( | const Event * |  | ) | const
| pure virtual

Check if given event matches or derives from this event.

References Event().

## ◆ GetEventName()

virtual const char * gdcm::Event::GetEventName | ( |  | ) | const
| pure virtual

Return the StringName associated with the event.

Implemented in gdcm::AnonymizeEvent, gdcm::DataEvent, gdcm::DataSetEvent, gdcm::FileNameEvent, and gdcm::ProgressEvent.

Examples
  BasicAnonymizer.cs, Cleaner.cs, ClinicalTrialIdentificationWorkflow.cs, and ScanDirectory.cs.

## ◆ MakeObject()

virtual Event * gdcm::Event::MakeObject | ( |  | ) | const
| pure virtual

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implemented in gdcm::AnonymizeEvent, gdcm::DataEvent, gdcm::DataSetEvent, gdcm::FileNameEvent, and gdcm::ProgressEvent.

References Event().

## ◆ operator=()

void gdcm::Event::operator= | ( | const Event & |  | ) |
| delete

References Event().

## ◆ Print()

virtual void gdcm::Event::Print | ( | std::ostream & | os | ) | const
| virtual

Print Event information. This method can be overridden by specific Event subtypes. The default is to print out the type of the event.

Referenced by gdcm::operator<<().

The documentation for this class was generated from the following file:

- gdcmEvent.h